tbb::internal::strip< T(&)[N]> Struct Template Reference

Specialization for arrays converts to a corresponding pointer. More...

`#include <_template_helpers.h>`

Collaboration diagram for tbb::internal::strip< T(&)[N]>:

## Public Types

typedef T * | type

## Detailed Description

### template<typename T, std::size_t N>
struct tbb::internal::strip< T(&)[N]>

Specialization for arrays converts to a corresponding pointer.

Definition at line 55 of file _template_helpers.h.

## Member Typedef Documentation

## type

template<typename T , std::size_t N>

typedef T* tbb::internal::strip< T(&)[N]>::type

Definition at line 55 of file _template_helpers.h.

The documentation for this struct was generated from the following file:

- _template_helpers.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.